Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Approve order [PROVIDER]

Prev Next
Post
/inventory/storeOrders/{orderId}/approve

The order status is updated from PENDING_APPROVAL to PENDING_ACCEPTANCE (if the back-office has made changes on prices and quantities) or to PENDING_SHIPPING.

Required permissions: READ_ORDER, WRITE_ORDER.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the target tenant (e.g. acme).

Body parameters

The optional order items including missing/changed prices or changed quantities.

Expand All
object
items
Array of object (OrderItem)

The list of items included in the order.

object
type
string Required

The type of the item.

Valid values[ "SPARE_PART" ]
ExampleSPARE_PART
itemId
string

The id of the item (e.g. a spare part).

Example66310cb2d8cab311e86d05d6
name
string Required

The name of the item.

ExampleBi-metal band saw blade 8 TPI
code
string Required

The public code of the order item (e.g. spare part serial).

ExampleSP-140506
quantity
integer Required

The quantity of the item.

Minimum1.0
Example2
unitPrice
number (double) Required

The item unit price.

Minimum0.0
Example14.9
Responses
204

Order approved or to be accepted.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exeeded.

object
message
string

The error response.

ExampleAPI call rate limit exeeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error